package com.ycwl.basic.profitsharing.mapper;

import com.ycwl.basic.profitsharing.dto.ProfitSharingRecordGroupVO;
import com.ycwl.basic.profitsharing.dto.ProfitSharingRecordReqQuery;
import com.ycwl.basic.profitsharing.dto.ProfitSharingRecordRespVO;
import com.ycwl.basic.profitsharing.entity.ProfitSharingRecord;
import org.apache.ibatis.annotations.Delete;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface ProfitSharingRecordMapper {
    List<ProfitSharingRecordRespVO> list(ProfitSharingRecordReqQuery req);

    List<ProfitSharingRecordGroupVO> listGroupByOrderId(ProfitSharingRecordReqQuery req);

    List<ProfitSharingRecordRespVO> listByOrderIds(List<Long> orderIds);

    void batchInsert(List<ProfitSharingRecord> records);

    void deleteByScenicIdAndOrderId(Long scenicId, Long orderId, String reason);
}